Released docs. You are viewing the documentation published with v0.46.0. Development docs are available at Latest.
Readiness
GET
/ready
const url = 'https://example.com/ready';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/readyResponses
Section titled “Responses”Health result
Media typeapplication/json
object
ready
required
boolean
Example generated
{ "ready": true}A problem: request.method-not-allowed.
Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
traceId
required
string
type
required
string
code
required
Example
{ "code": "request.method-not-allowed", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}Deployment unavailable or in recovery hold
Cookies on Registry Stack
We use optional cookies to understand how you use the main Registry Stack website and this documentation. If you contact us, we may link this activity to your enquiry. You can change your choice at any time. Read the privacy policy.
Your browser asks sites not to track you, so optional tracking stays off.
We could not use or save that choice. Optional tracking remains off.